<?php
/*
 * The Template for displaying all posts
 * 
 */
$supmax_redux_demo = get_option('redux_demo');
get_header(); ?>
<!-- hero  -->
<section class="breadcrumb-area breadcrumb-bg d-flex align-items-center">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-10">
                <div class="breadcrumb-content text-center">
                    <h2><?php
                    /*
                     * Queue the first post, that way we know what author
                     * we're dealing with (if that is the case).
                     *
                     * We reset this later so we can run the loop properly
                     * with a call to rewind_posts().
                     */
                    the_post();

                    printf( esc_html__( 'All posts by %s', 'supmax' ), get_the_author() );
                    ?></h2>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- breadcrumb-area-end -->

<!-- blog-area -->
<section class="blog-area pt-120 pb-120">
    <div class="container">
        <div class="row">
            <div class="col-lg-8">
                <?php 
                while (have_posts()): the_post();
               $single_facebook = get_post_meta(get_the_ID(),'_cmb_single_facebook', true);
               $single_twitter = get_post_meta(get_the_ID(),'_cmb_single_twitter', true);
               $single_pinterest = get_post_meta(get_the_ID(),'_cmb_single_pinterest', true);
                ?>  
                <div class="single-blog-list mb-60">
                    <?php if ( has_post_thumbnail() ) { ?>
                    <div class="blog-list-thumb mb-35">
                        <a href="<?php the_permalink();?>"><img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="img"></a>
                    </div>
                    <?php } ?>
                    <div class="blog-list-content">
                        <div class="blog-list-tag mb-10">
                            <ul>
                                <li><i class="fas fa-tags"></i></li>
                                <?php echo get_the_tag_list('<li>',',</li> <li>','</li>'); ?>
                            </ul>
                        </div>
                        <h2><a href="<?php the_permalink();?>"><?php the_title();?></a></h2>
                        <p><?php if(isset($supmax_redux_demo['blog_excerpt'])){?>
                            <?php echo esc_attr(supmax_excerpt($supmax_redux_demo['blog_excerpt'])); ?>
                        <?php }else{?>
                            <?php echo esc_attr(supmax_excerpt(50)); 
                        }
                        ?></p>
                        <div class="blog-list-meta">
                            <ul>
                                <li class="blog-post-date"><i class="far fa-clock"></i><?php the_time(get_option( 'date_format'));?></li>
                                <li class="blog-more-read"><a href="<?php the_permalink();?>"><?php if(isset($supmax_redux_demo['read_more'])){?>
                                    <?php echo htmlspecialchars_decode(esc_attr($supmax_redux_demo['read_more']));?>
                                <?php }else{?>
                                    <?php echo esc_html__( 'More Reading', 'supmax' );
                                }
                                ?></a></li>
                                <li class="blog-post-share">
                                    <a href="<?php echo esc_url($single_facebook); ?>"><i class="fab fa-facebook-f"></i></a>
                                    <a href="<?php echo esc_url($single_twitter); ?>"><i class="fab fa-twitter"></i></a>
                                    <a href="<?php echo esc_url($single_pinterest); ?>"><i class="fab fa-pinterest-p"></i></a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <?php endwhile; ?>
                <div class="pagination-wrap mt-30 text-center">
                    <nav>
                        <?php supmax_pagination();?>
                    </nav>
                </div>
            </div>
            <div class="col-lg-4">
                <aside class="blog-sidebar">
                    <?php get_sidebar();?>
                </aside>
            </div>
        </div>
    </div>
</section>
<!-- Blog End -->

<?php
get_footer('blog');
?>