<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains comments and the comment form.
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() )
    return;
?>

  <?php if ( have_comments() ) : ?>
            
    <div class="blog-comment mt-85">
        <h4 class="b-details-inner-title"><?php comments_number( esc_html__('Comments (0)', 'supmax'), esc_html__('Comment (1)', 'supmax'), esc_html__('Comments (%)', 'supmax')); ?></h4>
        <ul>
          <?php wp_list_comments('callback=supmax_theme_comment'); ?>
        </ul>
    </div>
                                   
    <?php
                    // Are there comments to navigate through?
    if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
      ?>
            <div class="text-center">
              <ul class="pagination">
                <li>
                  <?php //Create pagination links for the comments on the current post, with single arrow heads for previous/next
                  paginate_comments_links( array('prev_text' => '<i class="fa fa-angle-left"></i>', 'next_text' => '<i class="fa fa-angle-right"></i>'));  ?>
                </li> 
              </ul>
            </div>
<?php endif; // Check for comment navigation ?>
<?php endif; ?>
<?php
    if ( is_singular() ) wp_enqueue_script( "comment-reply" );
        $aria_req = ( $req ? " aria-required='true'" : '' );
        $comment_args = array(
                'id_form' => '',        
                'class_form' => 'comment-form',                         
                'title_reply'=> esc_html__( 'Leave a comment', 'supmax' ),
                'fields' => apply_filters( 'comment_form_default_fields', array(
                    'author' => '<div class="row">
                                  <div class="col-md-6">
                                    <input type="text" placeholder="'.esc_attr__('Your Name', 'supmax').'" name="author">
                                  </div>',
                    'email' => '<div class="col-md-6">
                                  <input type="email" placeholder="'.esc_attr__('Your Email*', 'supmax').'" name="email">
                                </div>
                                </div>
                              '                      
                ) ),   
                'comment_field' => '<textarea id="comment-message" name="comment"'.$aria_req.' placeholder="'.esc_attr__('Write a comment', 'supmax').'"></textarea>
                                      ',                    
                 'label_submit' => 'Post a comment',
                 'class_submit' => 'btn',
                 'comment_notes_before' => '',
                 'comment_notes_after' => '',               
      )
  ?>
<?php if ( comments_open() ) : ?>
  <div class="comment-reply-box mt-85">
  <?php comment_form($comment_args); ?>
  </div>
<?php endif; ?> 