<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<?php $supmax_redux_demo = get_option('redux_demo'); ?>
<head>
    <!-- Meta Tags -->
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
        ?>
    <?php if(isset($supmax_redux_demo['favicon']['url'])){?>
        <link rel="shortcut icon" href="<?php echo esc_url($supmax_redux_demo['favicon']['url']); ?>">
    <?php }?>
    <?php }?>
    <?php wp_head(); ?> 

</head>
<body <?php body_class(); ?>>
    <!-- start preloader -->

    <div id="preloader">
        <div id="loading-center">
            <div id="loading-center-absolute">
                <div class="object" id="object_one"></div>
                <div class="object" id="object_two"></div>
                <div class="object" id="object_three"></div>
            </div>
        </div>
    </div>
    <!-- preloader-end -->

    <!-- header-start -->
    <header>
        <div class="header-top primary-bg">
            <div class="container">
                <div class="d-flex align-items-center justify-content-center justify-content-sm-between">
                    <div class="header-social">
                        <ul>
                            <?php if(isset($supmax_redux_demo['header_link_facebook']) && $supmax_redux_demo['header_link_facebook'] != ''){?>
                                <li><a href="<?php echo esc_url($supmax_redux_demo['header_link_facebook']);?>"><i class="fab fa-facebook-f"></i></a></li>
                            <?php }else{?>
                                <li><a href="#"><i class="fab fa-facebook-f"></i></a></li>
                            <?php } ?>
                            <?php if(isset($supmax_redux_demo['header_link_twitter']) && $supmax_redux_demo['header_link_twitter'] != ''){?>
                                <li><a href="<?php echo esc_url($supmax_redux_demo['header_link_twitter']);?>"><i class="fab fa-twitter"></i></a></li>
                            <?php }else{?>
                                <li><a href="#"><i class="fab fa-twitter"></i></a></li>
                            <?php } ?>
                            <li><a href="#"><i class="fab fa-pinterest-p"></i></a></li>
                            <?php if(isset($supmax_redux_demo['header_link_linkedin']) && $supmax_redux_demo['header_link_linkedin'] != ''){?>
                                <li><a href="<?php echo esc_url($supmax_redux_demo['header_link_linkedin']);?>"><i class="fab fa-linkedin-in"></i></a></li>
                            <?php }else{?>
                                <li><a href="#"><i class="fab fa-linkedin-in"></i></a></li>
                            <?php } ?>
                        </ul>
                    </div>
                    <div class="header-top-right">
                        <ul>
                            <?php if(isset($supmax_redux_demo['header_link_search']) && $supmax_redux_demo['header_link_search'] != ''){?>
                                <li class="search-icon"><a href="<?php echo esc_url($supmax_redux_demo['header_link_search']);?>"><i class="fas fa-search"></i></a></li>
                            <?php }else{?>
                                <li class="search-icon"><a href="#"><i class="fas fa-search"></i></a></li>
                            <?php } ?>

                            <?php if(isset($supmax_redux_demo['header_link_cart']) && $supmax_redux_demo['header_link_cart'] != ''){?>
                                <li class="shop-cart"><a href="<?php echo esc_url($supmax_redux_demo['header_link_cart']);?>"><i class="fas fa-shopping-basket"></i><span class="cart-count"></span></a></li>
                            <?php }else{?>
                                <li class="shop-cart"><a href="#"><i class="fas fa-shopping-basket"></i><span class="cart-count"></span></a></li>
                            <?php } ?>
                            
                            <?php if(isset($supmax_redux_demo['header_phone_number']) && $supmax_redux_demo['header_phone_number'] != ''){?>
                                <li class="phone-call"><a href="<?php echo esc_url($supmax_redux_demo['header_phone_link']);?>"><i class="fas fa-headphones"></i> <?php echo esc_attr($supmax_redux_demo['header_phone_number']);?></a></li>
                            <?php }else{?>
                                <li class="phone-call"><a href="tel:123456789"><i class="fas fa-headphones"></i> <?php echo esc_html__( '+12 245 326 524', 'supmax' )?></a></li>
                            <?php } ?>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
            </header>
    <!-- header-start-end -->


    <!-- main-area -->
    <main>