<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<?php $supmax_redux_demo = get_option('redux_demo'); ?>
<head>
    <!-- Meta Tags -->
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
        ?>
    <?php if(isset($supmax_redux_demo['favicon']['url'])){?>
        <link rel="shortcut icon" href="<?php echo esc_url($supmax_redux_demo['favicon']['url']); ?>">
    <?php }?>
    <?php }?>
    <?php wp_head(); ?> 

</head>
<body <?php body_class(); ?>>
    <!-- start preloader -->

    <div id="preloader">
        <div id="loading-center">
            <div id="loading-center-absolute">
                <div class="object" id="object_one"></div>
                <div class="object" id="object_two"></div>
                <div class="object" id="object_three"></div>
            </div>
        </div>
    </div>
    <!-- preloader-end -->

    <!-- header-start -->
    <header>
        <div class="header-top primary-bg">
            <div class="container">
                <div class="d-flex align-items-center justify-content-center justify-content-sm-between">
                    <div class="header-social">
                        <ul>
                            <?php if(isset($supmax_redux_demo['header_link_facebook']) && $supmax_redux_demo['header_link_facebook'] != ''){?>
                                <li><a href="<?php echo esc_url($supmax_redux_demo['header_link_facebook']);?>"><i class="fab fa-facebook-f"></i></a></li>
                            <?php }else{?>
                                <li><a href="#"><i class="fab fa-facebook-f"></i></a></li>
                            <?php } ?>
                            <?php if(isset($supmax_redux_demo['header_link_twitter']) && $supmax_redux_demo['header_link_twitter'] != ''){?>
                                <li><a href="<?php echo esc_url($supmax_redux_demo['header_link_twitter']);?>"><i class="fab fa-twitter"></i></a></li>
                            <?php }else{?>
                                <li><a href="#"><i class="fab fa-twitter"></i></a></li>
                            <?php } ?>
                            <li><a href="#"><i class="fab fa-pinterest-p"></i></a></li>
                            <?php if(isset($supmax_redux_demo['header_link_linkedin']) && $supmax_redux_demo['header_link_linkedin'] != ''){?>
                                <li><a href="<?php echo esc_url($supmax_redux_demo['header_link_linkedin']);?>"><i class="fab fa-linkedin-in"></i></a></li>
                            <?php }else{?>
                                <li><a href="#"><i class="fab fa-linkedin-in"></i></a></li>
                            <?php } ?>
                        </ul>
                    </div>
                    <div class="header-top-right">
                        <ul>
                            <li class="shop-cart"><a href="<?php echo esc_url($supmax_redux_demo['header_link_cart']);?>"></a></li>
                            <?php if(isset($supmax_redux_demo['header_phone_number']) && $supmax_redux_demo['header_phone_number'] != ''){?>
                                <li class="phone-call"><a href="<?php echo esc_url($supmax_redux_demo['header_phone_link']);?>"><i class="fas fa-headphones"></i> <?php echo esc_attr($supmax_redux_demo['header_phone_number']);?></a></li>
                            <?php }else{?>
                                <li class="phone-call"><a href="tel:123456789"><i class="fas fa-headphones"></i> <?php echo esc_html__( '+12 245 326 524', 'supmax' )?></a></li>
                            <?php } ?>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <div id="header-sticky" class="main-header transparent-header">
            <div class="container">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="main-menu">
                            <nav class="navbar navbar-expand-lg">
                                <?php if(isset($supmax_redux_demo['header_logo']['url']) && $supmax_redux_demo['header_logo']['url'] != ''){?>
                                    <a href="<?php echo esc_url(home_url('/')); ?>" class="navbar-brand">
                                        <img src="<?php echo esc_url($supmax_redux_demo['header_logo']['url']);?>" alt="">
                                    </a>
                                <?php }else{?>
                                    <a href="<?php echo esc_url(home_url('/')); ?>" class="navbar-brand">
                                        <img src="<?php echo get_template_directory_uri();?>/assets/img/logo/logo.png" alt="">
                                    </a>
                                <?php } ?>

                                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav">
                                    <span class="navbar-icon"></span>
                                    <span class="navbar-icon"></span>
                                    <span class="navbar-icon"></span>
                                </button>
                                <div class="collapse navbar-collapse" id="navbarNav">
                                    <?php 
                                    wp_nav_menu( 
                                        array( 
                                            'theme_location' => 'one-page',
                                            'container' => '',
                                            'menu_class' => '', 
                                            'menu_id' => '',
                                            'menu'            => '',
                                            'container_class' => '',
                                            'container_id'    => '',
                                            'echo'            => true,
                                            'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                                            'walker'            => new supmax_wp_bootstrap_navwalker(),
                                            'before'          => '',
                                            'after'           => '',
                                            'link_before'     => '',
                                            'link_after'      => '',
                                            'items_wrap'      => '<ul  class="navbar-nav ml-auto %2$s">%3$s</ul>',
                                            'depth'           => 0,        
                                        )
                                    ); ?>
                                </div>
                                <div class="header-btn d-none d-xl-block">
                                        <a href="#contact" class="signUp"><?php echo esc_html__( 'SIGN UP', 'supmax' )?></a>
                                        <a href="#contact" class="login"><?php echo esc_html__( 'LOGIN', 'supmax' )?></a>
                                </div>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </header>
    <!-- header-start-end -->


    <!-- main-area -->
    <main>
