<?php
/**
 * The Template for displaying all single posts
 */
$supmax_redux_demo = get_option('redux_demo');
get_header('blog'); ?>

<?php 
while (have_posts()): the_post();
    $single_facebook = get_post_meta(get_the_ID(),'_cmb_single_facebook', true);
    $single_twitter = get_post_meta(get_the_ID(),'_cmb_single_twitter', true);
    $single_pinterest = get_post_meta(get_the_ID(),'_cmb_single_pinterest', true);
    ?>
    <!-- hero  -->
    <section class="breadcrumb-area breadcrumb-bg d-flex align-items-center">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-10">
                    <div class="breadcrumb-content text-center">
                        <h2><?php if(isset($supmax_redux_demo['blog_details_title']) && $supmax_redux_demo['blog_details_title'] != ''){?>
                                <?php echo htmlspecialchars_decode(esc_attr($supmax_redux_demo['blog_details_title']));?>
                            <?php }else{?>
                                <?php echo esc_html__( 'BLOG SINGLE POST', 'supmax' );
                            }
                            ?></h2>
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html__( 'Home', 'supmax' );?></a></li>
                                <li class="breadcrumb-item active" aria-current="page"><?php if(isset($supmax_redux_demo['blog_details_subtitle']) && $supmax_redux_demo['blog_details_subtitle'] != ''){?>
                                <?php echo htmlspecialchars_decode(esc_attr($supmax_redux_demo['blog_details_subtitle']));?>
                            <?php }else{?>
                                <?php echo esc_html__( 'BLOG DETAILS', 'supmax' );
                            }
                            ?></li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- breadcrumb-area-end -->

    <!-- blog-area -->
    <section class="blog-area pt-120 pb-120">
        <div class="container">
            <div class="row">
                <div class="col-lg-8">
                    <div class="single-blog-list">
                        <?php if ( has_post_thumbnail() ) { ?>
                        <div class="blog-list-thumb mb-35">
                            <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="img">
                        </div>
                        <?php } ?>
                        <div class="blog-list-content blog-details-content">
                            <div class="blog-details-date mb-10">
                                <ul>
                                    <li><a href="#"><i class="far fa-user"></i><?php the_author_posts_link(); ?></a></li>
                                    <li><i class="far fa-clock"></i> <?php the_time(get_option( 'date_format'));?></li>
                                </ul>
                            </div>
                            <h2><?php the_title();?></h2>
                            <?php the_content(); ?>
                            <?php wp_link_pages(); ?>
                            <div class="blog-list-meta">
                                <ul>
                                    <li class="blog-post-date">
                                        <div class="blog-details-tag">
                                            <i class="fas fa-tags"></i>
                                            <?php echo get_the_tag_list(); ?>
                                        </div>
                                    </li>
                                    <li class="blog-post-share">
                                        <a href="<?php echo esc_url($single_facebook); ?>"><i class="fab fa-facebook-f"></i></a>
                                        <a href="<?php echo esc_url($single_twitter); ?>"><i class="fab fa-twitter"></i></a>
                                        <a href="<?php echo esc_url($single_pinterest); ?>"><i class="fab fa-pinterest-p"></i></a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        <div class="avatar-post mt-70 mb-60">
                            <ul>
                                <li>
                                    <div class="post-avatar-img">
                                        <?php echo get_avatar(get_the_author_meta('user_email'),$size='127',
                                    $default='http://0.gravatar.com/avatar/ad516503a11cd5ca435acc9bb6523536?s=100' );?>
                                    </div>
                                    <div class="post-avatar-content">
                                        <h5><?php the_author_posts_link(); ?></h5>
                                        <p><?php echo get_the_author_meta('description');?></p>
                                        <div class="post-avatar-social mt-15">
                                            <a href="<?php echo esc_url($single_facebook); ?>"><i class="fab fa-facebook-f"></i></a>
                                            <a href="<?php echo esc_url($single_twitter); ?>"><i class="fab fa-twitter"></i></a>
                                            <a href="<?php echo esc_url($single_pinterest); ?>"><i class="fab fa-pinterest-p"></i></a>
                                        </div>
                                    </div>
                                </li>
                            </ul>
                        </div>
                        <?php comments_template();?>
                    </div>
                </div>
                <div class="col-lg-4">
                    <aside class="blog-sidebar">
                        <?php get_sidebar();?>
                    </aside>
                </div>
            </div>
        </div>
    </section>
    <!-- Blog End -->
<?php endwhile; ?>

<?php
get_footer('blog');
?>